Restore Task
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/restore \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/restore"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"title": "<string>",
"status": {
"key": "<string>",
"label": "<string>",
"category": "<string>",
"role": "<string>"
},
"priority": "<string>",
"labels": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"links": [
{
"id": "<string>",
"target_type": "<string>",
"target_id": "<string>",
"context": {
"conversation_id": "<string>",
"message_id": "<string>"
},
"deleted": true,
"admin_url": "<string>"
}
],
"source": "<string>",
"revision": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"admin_url": "<string>",
"identifier": "<string>",
"description": "",
"deadline": "2023-12-25",
"owner": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"created_by": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"finished_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z"
}Tasks
Restore Task
Bring an archived task back to the board.
POST
/
api
/
v1
/
tasks
/
{task_id}
/
restore
Restore Task
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/restore \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/restore"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"title": "<string>",
"status": {
"key": "<string>",
"label": "<string>",
"category": "<string>",
"role": "<string>"
},
"priority": "<string>",
"labels": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"links": [
{
"id": "<string>",
"target_type": "<string>",
"target_id": "<string>",
"context": {
"conversation_id": "<string>",
"message_id": "<string>"
},
"deleted": true,
"admin_url": "<string>"
}
],
"source": "<string>",
"revision": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"admin_url": "<string>",
"identifier": "<string>",
"description": "",
"deadline": "2023-12-25",
"owner": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"created_by": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"finished_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z"
}Authorizations
Path Parameters
Task UUID or identifier such as TASK-12
Response
200 - application/json
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Short handle such as TASK-12, accepted wherever a task id is.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
